Page 1 of 3 123 LastLast
Results 1 to 10 of 25

Thread: Can't Download from the Software Center

  1. #1
    Join Date
    Apr 2013
    Beans
    15

    Can't Download from the Software Center

    I'm a complete beginner, so I've posted the step by step process of my problem. Please help .

    Upon opening the software center I get a message that says "Items cannot be installed or removed until the package catalog is repaired. Do you want to repair it now?"

    I click Repair and the operation fails with the details:

    installArchives() failed: (Reading database ...
    (Reading database ... 5%
    (Reading database ... 10%
    (Reading database ... 15%
    (Reading database ... 20%
    (Reading database ... 25%
    (Reading database ... 30%
    (Reading database ... 35%
    (Reading database ... 40%
    (Reading database ... 45%
    (Reading database ... 50%
    (Reading database ... 55%
    (Reading database ... 60%
    (Reading database ... 65%
    (Reading database ... 70%
    (Reading database ... 75%
    (Reading database ... 80%
    (Reading database ... 85%
    (Reading database ... 90%
    (Reading database ... 95%
    (Reading database ... 100%
    (Reading database ... 197101 files and directories currently installed.)
    Unpacking firefox (from .../firefox_20.0+build1-0ubuntu0.12.10.3_amd64.deb) ...
    dpkg: error processing /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_amd64.deb (--unpack):
    trying to overwrite '/usr/share/applications/firefox.desktop', which is also in package kubuntu-firefox-installer 12.04ubuntu1
    No apport report written because MaxReports is reached already
    Processing triggers for man-db ...
    Errors were encountered while processing:
    /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_amd64.deb
    Error in function:
    dpkg: dependency problems prevent configuration of firefox-globalmenu:
    firefox-globalmenu depends on firefox (= 20.0+build1-0ubuntu0.12.10.3); however:
    Package firefox is not installed.


    dpkg: error processing firefox-globalmenu (--configure):
    dependency problems - leaving unconfigured


    If I ignore all of this stuff I can still maneuver through the software center, but when I try to download a program I get a popup that tells me that to install I need to remove "Safe and easy web browser from mozilla - unity menubar integration" with the subtitle(?) "firefox-globalmenu"

    I hit Install Anyway and get the popup:

    The package system is broken

    Check if you are using third party repositories. If so disable them, since they are a common source of problems.
    Furthermore run the following command in a Terminal: apt-get install -f

    The details section:

    The following packages have unmet dependencies:


    firefox-globalmenu: Depends: firefox (= 20.0+build1-0ubuntu0.12.10.3) but it is not installed

    I go into the terminal and type in apt-get install -f

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Correcting dependencies... Done
    The following packages were automatically installed and are no longer required:
    language-pack-gnome-en language-pack-gnome-en-base libasprintf0c2:i386
    libcroco3:i386 libgomp1:i386 linux-headers-3.5.0-17
    linux-headers-3.5.0-17-generic
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
    firefox
    Suggested packages:
    latex-xft-fonts firefox-gnome-support
    The following NEW packages will be installed:
    firefox
    0 upgraded, 1 newly installed, 0 to remove and 36 not upgraded.
    1 not fully installed or removed.
    Need to get 0 B/24.8 MB of archives.
    After this operation, 55.2 MB of additional disk space will be used.
    Do you want to continue [Y/n]? Y
    (Reading database ... 197101 files and directories currently installed.)
    Unpacking firefox (from .../firefox_20.0+build1-0ubuntu0.12.10.3_amd64.deb) ...
    dpkg: error processing /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_amd64.deb (--unpack):
    trying to overwrite '/usr/share/applications/firefox.desktop', which is also in package kubuntu-firefox-installer 12.04ubuntu1
    No apport report written because MaxReports is reached already
    Processing triggers for man-db ...
    Errors were encountered while processing:
    /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)






    Any suggestions?

  2. #2
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    13,702
    Distro
    Ubuntu

    Re: Can't Download from the Software Center

    Have you tried to run the kubuntu-firefox-installer?
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  3. #3
    Join Date
    Apr 2013
    Beans
    15

    Re: Can't Download from the Software Center

    Yes and I receive this error:

    Package: /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_amd64.debError: trying to overwrite '/usr/share/applications/firefox.desktop', which is also in package kubuntu-firefox-installer 12.04ubuntu1

  4. #4
    Join Date
    Mar 2013
    Beans
    28

    Re: Can't Download from the Software Center

    Have you tried uninstalling firefox and then reinstalling it?

  5. #5
    ibjsb4 is offline Ubuntu addict and loving it
    Join Date
    Sep 2012
    Beans
    4,987

    Re: Can't Download from the Software Center

    Open a terminal and enter (one line at a time):

    Code:
    sudo apt-get clean
    
    sudo apt-get autoremove
    
    sudo apt-get update

  6. #6
    Join Date
    Apr 2013
    Beans
    15

    Re: Can't Download from the Software Center

    sudo apt-get autoremove



    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    You might want to run 'apt-get -f install' to correct these.
    The following packages have unmet dependencies:
    firefox-globalmenu : Depends: firefox (= 20.0+build1-0ubuntu0.12.10.3) but it is not installed
    E: Unmet dependencies. Try using -f.


    Then I entered apt-get update and it seemed to go through:




    sudo apt-get update
    Hit http://us.archive.ubuntu.com quantal Release.gpg
    Get:1 http://us.archive.ubuntu.com quantal-updates Release.gpg [933 B]
    Hit http://us.archive.ubuntu.com quantal-backports Release.gpg
    Hit http://us.archive.ubuntu.com quantal Release
    Get:2 http://us.archive.ubuntu.com quantal-updates Release [49.6 kB]
    Hit http://us.archive.ubuntu.com quantal-backports Release
    Get:3 http://security.ubuntu.com quantal-security Release.gpg [933 B]
    Hit http://archive.canonical.com quantal Release.gpg
    Hit http://ppa.launchpad.net quantal Release.gpg
    Get:4 http://extras.ubuntu.com quantal Release.gpg [72 B]
    Hit http://us.archive.ubuntu.com quantal/main Sources
    Hit http://us.archive.ubuntu.com quantal/restricted Sources
    Hit http://us.archive.ubuntu.com quantal/universe Sources
    Hit http://us.archive.ubuntu.com quantal/multiverse Sources
    Hit http://us.archive.ubuntu.com quantal/main amd64 Packages
    Hit http://repo.steampowered.com precise Release.gpg
    Hit http://extras.ubuntu.com quantal Release
    Hit http://ppa.launchpad.net quantal Release
    Hit http://us.archive.ubuntu.com quantal/restricted amd64 Packages
    Hit http://us.archive.ubuntu.com quantal/universe amd64 Packages
    Hit http://us.archive.ubuntu.com quantal/multiverse amd64 Packages
    Hit http://us.archive.ubuntu.com quantal/main i386 Packages
    Hit http://us.archive.ubuntu.com quantal/restricted i386 Packages
    Hit http://repo.steampowered.com precise Release
    Get:5 http://security.ubuntu.com quantal-security Release [49.6 kB]
    Hit http://extras.ubuntu.com quantal/main Sources
    Hit http://ppa.launchpad.net quantal/main Sources
    Hit http://us.archive.ubuntu.com quantal/universe i386 Packages
    Hit http://us.archive.ubuntu.com quantal/multiverse i386 Packages
    Hit http://repo.steampowered.com precise/steam Sources
    Hit http://us.archive.ubuntu.com quantal/main Translation-en
    Hit http://extras.ubuntu.com quantal/main amd64 Packages
    Hit http://ppa.launchpad.net quantal/main amd64 Packages
    Hit http://us.archive.ubuntu.com quantal/multiverse Translation-en
    Hit http://us.archive.ubuntu.com quantal/restricted Translation-en
    Hit http://extras.ubuntu.com quantal/main i386 Packages
    Hit http://ppa.launchpad.net quantal/main i386 Packages
    Hit http://us.archive.ubuntu.com quantal/universe Translation-en
    Get:6 http://us.archive.ubuntu.com quantal-updates/main Sources [86.8 kB]
    Hit http://repo.steampowered.com precise/steam amd64 Packages
    Get:7 http://us.archive.ubuntu.com quantal-updates/restricted Sources [1,302 B]
    Get:8 http://us.archive.ubuntu.com quantal-updates/universe Sources [81.5 kB]
    Hit https://private-ppa.launchpad.net quantal Release.gpg
    Hit http://repo.steampowered.com precise/steam i386 Packages
    Hit http://archive.canonical.com quantal Release
    Get:9 http://us.archive.ubuntu.com quantal-updates/multiverse Sources [2,933 B]
    Get:10 http://security.ubuntu.com quantal-security/main Sources [38.2 kB]
    Get:11 http://us.archive.ubuntu.com quantal-updates/main amd64 Packages [226 kB]
    Hit https://private-ppa.launchpad.net quantal Release
    Hit http://archive.canonical.com quantal/partner amd64 Packages
    Hit https://private-ppa.launchpad.net quantal/main amd64 Packages
    Hit http://archive.canonical.com quantal/partner i386 Packages
    Hit https://private-ppa.launchpad.net quantal/main i386 Packages
    Get:12 http://us.archive.ubuntu.com quantal-updates/restricted amd64 Packages [3,048 B]
    Get:13 http://us.archive.ubuntu.com quantal-updates/universe amd64 Packages [177 kB]
    Get:14 http://security.ubuntu.com quantal-security/restricted Sources [14 B]
    Get:15 http://security.ubuntu.com quantal-security/universe Sources [16.1 kB]
    Ign http://extras.ubuntu.com quantal/main Translation-en_US
    Ign http://ppa.launchpad.net quantal/main Translation-en_US
    Ign http://extras.ubuntu.com quantal/main Translation-en
    Ign http://ppa.launchpad.net quantal/main Translation-en
    Get:16 http://security.ubuntu.com quantal-security/multiverse Sources [692 B]
    Get:17 http://us.archive.ubuntu.com quantal-updates/multiverse amd64 Packages [7,946 B]
    Get:18 http://us.archive.ubuntu.com quantal-updates/main i386 Packages [224 kB]
    Get:19 http://security.ubuntu.com quantal-security/main amd64 Packages [105 kB]
    Ign http://archive.canonical.com quantal/partner Translation-en_US
    Ign http://archive.canonical.com quantal/partner Translation-en
    Get:20 http://us.archive.ubuntu.com quantal-updates/restricted i386 Packages [3,067 B]
    Get:21 http://us.archive.ubuntu.com quantal-updates/universe i386 Packages [178 kB]
    Ign http://repo.steampowered.com precise/steam Translation-en_US
    Ign http://repo.steampowered.com precise/steam Translation-en
    Get:22 http://us.archive.ubuntu.com quantal-updates/multiverse i386 Packages [8,097 B]
    Get:23 http://us.archive.ubuntu.com quantal-updates/main Translation-en [108 kB]
    Hit http://us.archive.ubuntu.com quantal-updates/multiverse Translation-en
    Hit http://us.archive.ubuntu.com quantal-updates/restricted Translation-en
    Get:24 http://us.archive.ubuntu.com quantal-updates/universe Translation-en [93.9 kB]
    Get:25 http://security.ubuntu.com quantal-security/restricted amd64 Packages [14 B]
    Get:26 http://security.ubuntu.com quantal-security/universe amd64 Packages [45.1 kB]
    Hit http://us.archive.ubuntu.com quantal-backports/main Sources
    Hit http://us.archive.ubuntu.com quantal-backports/restricted Sources
    Hit http://us.archive.ubuntu.com quantal-backports/universe Sources
    Hit http://us.archive.ubuntu.com quantal-backports/multiverse Sources
    Hit http://us.archive.ubuntu.com quantal-backports/main amd64 Packages
    Hit http://us.archive.ubuntu.com quantal-backports/restricted amd64 Packages
    Hit http://us.archive.ubuntu.com quantal-backports/universe amd64 Packages
    Hit http://us.archive.ubuntu.com quantal-backports/multiverse amd64 Packages
    Hit http://us.archive.ubuntu.com quantal-backports/main i386 Packages
    Hit http://us.archive.ubuntu.com quantal-backports/restricted i386 Packages
    Hit http://us.archive.ubuntu.com quantal-backports/universe i386 Packages
    Hit http://us.archive.ubuntu.com quantal-backports/multiverse i386 Packages
    Hit http://us.archive.ubuntu.com quantal-backports/main Translation-en
    Hit http://us.archive.ubuntu.com quantal-backports/multiverse Translation-en
    Get:27 http://security.ubuntu.com quantal-security/multiverse amd64 Packages [1,150 B]
    Hit http://us.archive.ubuntu.com quantal-backports/restricted Translation-en
    Hit http://us.archive.ubuntu.com quantal-backports/universe Translation-en
    Get:28 http://security.ubuntu.com quantal-security/main i386 Packages [104 kB]
    Ign http://us.archive.ubuntu.com quantal/main Translation-en_US
    Ign http://us.archive.ubuntu.com quantal/multiverse Translation-en_US
    Ign http://us.archive.ubuntu.com quantal/restricted Translation-en_US
    Ign http://us.archive.ubuntu.com quantal/universe Translation-en_US
    Ign http://us.archive.ubuntu.com quantal-updates/main Translation-en_US
    Ign http://us.archive.ubuntu.com quantal-updates/multiverse Translation-en_US
    Ign http://us.archive.ubuntu.com quantal-updates/restricted Translation-en_US
    Ign http://us.archive.ubuntu.com quantal-updates/universe Translation-en_US
    Ign http://us.archive.ubuntu.com quantal-backports/main Translation-en_US
    Ign http://us.archive.ubuntu.com quantal-backports/multiverse Translation-en_US
    Ign http://us.archive.ubuntu.com quantal-backports/restricted Translation-en_US
    Ign http://us.archive.ubuntu.com quantal-backports/universe Translation-en_US
    Get:29 http://security.ubuntu.com quantal-security/restricted i386 Packages [14 B]
    Get:30 http://security.ubuntu.com quantal-security/universe i386 Packages [45.8 kB]
    Ign https://private-ppa.launchpad.net quantal/main Translation-en_US
    Get:31 http://security.ubuntu.com quantal-security/multiverse i386 Packages [1,396 B]
    Ign https://private-ppa.launchpad.net quantal/main Translation-en
    Get:32 http://security.ubuntu.com quantal-security/main Translation-en [55.5 kB]
    Hit http://security.ubuntu.com quantal-security/multiverse Translation-en
    Hit http://security.ubuntu.com quantal-security/restricted Translation-en
    Get:33 http://security.ubuntu.com quantal-security/universe Translation-en [28.1 kB]
    Ign http://security.ubuntu.com quantal-security/main Translation-en_US
    Ign http://security.ubuntu.com quantal-security/multiverse Translation-en_US
    Ign http://security.ubuntu.com quantal-security/restricted Translation-en_US
    Ign http://security.ubuntu.com quantal-security/universe Translation-en_US
    Fetched 1,744 kB in 8s (195 kB/s)
    Reading package lists... Done

  7. #7
    Join Date
    Apr 2013
    Beans
    15

    Re: Can't Download from the Software Center

    Yes, it won't uninstall from the software center. I get the exact same error as when I try to download a program. [seen in first post]

  8. #8
    ibjsb4 is offline Ubuntu addict and loving it
    Join Date
    Sep 2012
    Beans
    4,987

    Re: Can't Download from the Software Center

    Ok, do what it suggested

    Code:
    sudo apt-get -f install
    Edit: Just notice you have done that. BB after dinner

  9. #9
    Join Date
    Apr 2013
    Beans
    15

    Re: Can't Download from the Software Center

    Thanks . This problem's really annoying :*(
    Last edited by mlv213; April 9th, 2013 at 03:00 AM.

  10. #10
    Join Date
    Feb 2013
    Location
    B'ville Alabama
    Beans
    112
    Distro
    Ubuntu 13.10 Saucy Salamander

    Re: Can't Download from the Software Center

    Maybe uninstalling/purging and re installing Software Center will help?
    Cheers!
    Phenom II X4 955 Denab BE OC 3.8mhz | 8gig G.Skill 1600 RAM | Corsair 750 PSU | XFX ATI Radeon HD 5770 x2 | 1TB WD Black HDD Win7 | 160gig WD HDD Ubuntu 13.10
    --Feel like your question has been answered, mark as SOLVED!

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •